VERSION 5.00
Object = "{B0475000-7740-11D1-BDC3-0020AF9F8E6E}#6.0#0"; "TTF16.OCX"
Begin VB.Form frmMDIChild 
   Caption         =   "F1Book"
   ClientHeight    =   4650
   ClientLeft      =   1935
   ClientTop       =   1575
   ClientWidth     =   8325
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   4650
   ScaleWidth      =   8325
   Begin TTF160Ctl.F1Book ss 
      Height          =   4335
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   7935
      _ExtentX        =   13996
      _ExtentY        =   7646
      _0              =   $"frmMDIChild.frx":0000
      _1              =   $"frmMDIChild.frx":0409
      _2              =   $"frmMDIChild.frx":0812
      _3              =   $"frmMDIChild.frx":0C1B
      _4              =   $"frmMDIChild.frx":1024
      _count          =   5
      _ver            =   2
   End
End
Attribute VB_Name = "frmMDIChild"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub UpdateLockStatus()

   MainFrame.mnuFormatSheetProtection.Checked = ss.EnableProtection

End Sub

Private Sub UpdateZoom()

   Dim i%
   Dim TheZoom$
   
   '' Set the Zoom factor
   TheZoom = Format$(ss.ViewScale, "##0\%")
   For i = 0 To MainFrame.cboZoom.ListCount
      If StrComp(TheZoom, MainFrame.cboZoom.List(i)) = 0 Then
         MainFrame.cboZoom.ListIndex = i
         Exit For
      End If
    Next i

End Sub

Private Sub Form_Activate()
    ss.SetFocus
End Sub

Private Sub Form_Load()
    '' Create the sheet name of blank sheets by adding
    '' the next available number to the name "Sheet"
   
    If Left$(Me.Caption, 6) = "F1Book" Then
       gNewSSCount = gNewSSCount + 1
       Caption = Caption & gNewSSCount
       ss.TableName = Caption
       ss.ShowEditBar = True
    End If
    ss.Modified = False

End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
'    If ss.Mode = F1ModeNormal Then
'        Call Update_tlbDraw
'    End If
    
End Sub

Private Sub Form_Resize()
    ss.Top = 0
    ss.Left = 0
    ss.Height = Me.ScaleHeight
    ss.Width = Me.ScaleWidth
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim response As Long
    
    If ss.Modified = True Then 'check for any changes made to workbook
        response = MsgBox("Save changes before closing?", vbYesNoCancel + vbQuestion, ss.Title)
        If response = vbYes Then 'save before exiting
             response = SSMDISaveAsFile
             If response = vbCancel Then Cancel = True
        ElseIf response = vbCancel Or 0 Then 'cancel unload
            Cancel = True
        End If
    End If
    
End Sub

Private Sub ss_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    Dim ss As F1Book

    Dim cellformat As F1CellFormat

    Set ss = MainFrame.ActiveForm.ss
    Set cellformat = ss.CreateNewCellFormat
    
    
    ' If button one (left)
    If Button = 1 Then
        'and if we are in the format painter mode 2-normal, 3-continuous
        If FormatPainterFlag = 2 Or FormatPainterFlag = 3 Then
            
            ss.DoSelChange = False
            ss.EditPasteSpecial F1PasteFormats, F1PasteOpNone
            
            ' Turn off format painter if in normal mode
            If FormatPainterFlag = 2 Then
                FormatPainterFlag = 0
                MainFrame.tlbStandard.Buttons.Item(11).Value = tbrUnpressed
                'ss.mousepointer = f1default
            End If
            ss.DoSelChange = True
            
        End If
        
        'set draw buttons back to being unpressed when they're set.
        If ss.Mode <> F1ModePolygon Then
            For i = 1 To MainFrame.tlbDraw.Buttons.Count
                MainFrame.tlbDraw.Buttons.Item(i).Value = tbrUnpressed
            Next i
        End If
            
    ' Right button displays a cell description dialog
    Else
    
        ' Save the object into a variable to save on typing.
        TheRow = ss.TwipsToRow(y)
        TheCol = ss.TwipsToCol(x)
        'ss.TwipsToRC x, y, TheRow, TheCol
        ss.Row = TheRow
        ss.Col = TheCol
        TheString = "Cell: " + ss.Selection + Chr$(10)
        TheString = TheString + "Value: " + Str$(ss.Number) + Chr$(10)
        TheString = TheString + "Format: " + ss.NumberFormat + Chr$(10)
        TheString = TheString + "Formula: " + ss.Formula + Chr$(10)
        'ss.GetValidationRule TheRule, TheMessage
        
        With cellformat
            TheString = TheString + "Validation Rule: " + .ValidationRule(ss.ss) + Chr$(10)
            TheString = TheString + "Validation Msg: " + .ValidationText + Chr$(10)
            'ss.GetProtection LockedFlag, HiddenFlag
            LockedFlag = .ProtectionLocked
            TheString = TheString + "Protection: " + IIf(LockedFlag, "Locked", "Unlocked") + Chr$(10)
        End With
        MsgBox TheString
        ss.SetFocus
    
    End If

End Sub

Private Sub ss_SelChange()

    Call UpdateCBOFontAndSize   ' Update the font and size cbos
    Call UpdateAlignment        ' Set buttons according to selection alignment
     
     ' If the format painter command is active then set up for
    ' the mouseup event which will complete the command.
    If FormatPainterFlag = 1 Then
        FormatPainterFlag = 2
        MainFrame.ActiveForm.ss.SetFocus
    End If

End Sub
