VERSION 5.00
Begin VB.Form NewReport 
   Caption         =   "New Report"
   ClientHeight    =   3225
   ClientLeft      =   60
   ClientTop       =   405
   ClientWidth     =   4845
   Icon            =   "NewReport.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3225
   ScaleWidth      =   4845
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox pctDesignView 
      BorderStyle     =   0  'None
      Height          =   705
      Left            =   945
      Picture         =   "NewReport.frx":000C
      ScaleHeight     =   705
      ScaleWidth      =   705
      TabIndex        =   10
      Top             =   330
      Visible         =   0   'False
      Width           =   705
   End
   Begin VB.PictureBox pctColumnar 
      BorderStyle     =   0  'None
      Height          =   705
      Left            =   945
      Picture         =   "NewReport.frx":1B9E
      ScaleHeight     =   705
      ScaleWidth      =   705
      TabIndex        =   9
      Top             =   330
      Visible         =   0   'False
      Width           =   705
   End
   Begin VB.CommandButton btnCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   3720
      TabIndex        =   4
      Top             =   2760
      Width           =   975
   End
   Begin VB.CommandButton btnOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   2505
      TabIndex        =   3
      Top             =   2760
      Width           =   975
   End
   Begin VB.ComboBox cboTables 
      Height          =   315
      Left            =   2520
      TabIndex        =   2
      Top             =   2280
      Width           =   2175
   End
   Begin VB.ListBox lstReports 
      Height          =   1815
      Left            =   2520
      TabIndex        =   1
      Top             =   240
      Width           =   2175
   End
   Begin VB.Frame Frame1 
      Height          =   1935
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   2295
      Begin VB.PictureBox pctWizard 
         BorderStyle     =   0  'None
         Height          =   840
         Left            =   780
         Picture         =   "NewReport.frx":37A0
         ScaleHeight     =   840
         ScaleWidth      =   915
         TabIndex        =   8
         Top             =   180
         Visible         =   0   'False
         Width           =   915
      End
      Begin VB.PictureBox pctTabular 
         BorderStyle     =   0  'None
         Height          =   840
         Left            =   780
         Picture         =   "NewReport.frx":61BE
         ScaleHeight     =   840
         ScaleWidth      =   825
         TabIndex        =   7
         Top             =   180
         Visible         =   0   'False
         Width           =   825
      End
      Begin VB.Label lblDescription 
         Alignment       =   2  'Center
         Height          =   735
         Left            =   120
         TabIndex        =   6
         Top             =   1080
         Width           =   2055
      End
   End
   Begin VB.Label Label1 
      Caption         =   "Choose the table the object's data comes from:"
      Height          =   495
      Left            =   600
      TabIndex        =   5
      Top             =   2280
      Width           =   1815
   End
End
Attribute VB_Name = "NewReport"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub btnCancel_Click()
    End
End Sub

Private Sub btnOK_Click()
    NewReport.Hide
    
    Select Case lstReports.Text
        Case "Design View"
            ReportWriter.F1Book1.Left = ReportWriter.F1Book1.Left + 2880
            ReportWriter.F1Book1.Width = ReportWriter.Width - 2880
            Call GetColumns(ReportWriter.lstFields, cboTables.Text)
            ReportWriter.lstFields.Visible = True
            ReportWriter.btnViewReport.Visible = True
        Case "Report Wizard"
            SelectFields.Show 1
            ReportType = "Report Wizard"
        Case "AutoReport:  Tabular"
            ReportType = "AutoReport:  Tabular"
            Call PopulateSheet
        Case "AutoReport:  Columnar"
            ReportType = "AutoReport:  Columnar"
            Call PopulateColumnar
    End Select
End Sub

Private Sub Form_Load()
    Dim NumTables As Integer
    
    ' Fill in listbox with report types.
    lstReports.AddItem "Design View"
    lstReports.AddItem "Report Wizard"
    lstReports.AddItem "AutoReport:  Tabular"
    lstReports.AddItem "AutoReport:  Columnar"
    
    lstReports.ListIndex = 0
    
    Call GetTables(cboTables)
    
End Sub

Private Sub lstReports_Click()
    Select Case lstReports.Text
        Case "Design View"
            lblDescription.Caption = "Create a new report without using a wizard."
            pctDesignView.Visible = True
            pctWizard.Visible = False
            pctTabular.Visible = False
            pctColumnar.Visible = False
        Case "Report Wizard"
            lblDescription.Caption = "This wizard automatically creates your report based on the fields you choose."
            pctDesignView.Visible = False
            pctWizard.Visible = True
            pctTabular.Visible = False
            pctColumnar.Visible = False
        Case "AutoReport:  Tabular"
            lblDescription.Caption = "This wizard automatically creates a tabular report"
            pctDesignView.Visible = False
            pctWizard.Visible = False
            pctTabular.Visible = True
            pctColumnar.Visible = False
        Case "AutoReport:  Columnar"
            lblDescription.Caption = "This wizard automatically creates a columnar report"
            pctDesignView.Visible = False
            pctWizard.Visible = False
            pctTabular.Visible = False
            pctColumnar.Visible = True

    End Select
        
End Sub
