VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "VcF1Combo"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder" ,"Yes"
Attribute VB_Ext_KEY = "Top_Level" ,"Yes"
Option Explicit
'local variable(s) to hold property value(s)
Private mvarF1Object As Object 'local copy
Private mvarTxtObject As Object 'local copy
Private mvarBtnObject As Object 'local copy
'local variable(s) to hold property value(s)
Private mvarTop As Single 'local copy
Private mvarLeft As Single 'local copy
Private mvarWidth As Single 'local copy
Private mvarHeight As Single 'local copy
'local variable(s) to hold property value(s)
Private mvarDropDownWidth As Single 'local copy
Private mvarDropDownHeight As Single 'local copy
'local variable(s) to hold property value(s)
Private mvarDropDownAutoWidth As Boolean 'local copy
'local variable(s) to hold property value(s)
Private mvarColumnCount As Long 'local copy
'local variable(s) to hold property value(s)
Private mvarRowMode As Variant 'local copy
'local variable(s) to hold property value(s)
Private mvarBoundColumn As Long 'local copy
'local variable(s) to hold property value(s)
Private mvarRowCount As Long 'local copy
'local variable(s) to hold property value(s)
Private mvarDropDownAutoHeight As Boolean 'local copy
'local variable(s) to hold property value(s)
Private mvarBoundRow As Long 'local copy
Public Property Let BoundRow(ByVal vData As Long)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.BoundRow = 5
    mvarBoundRow = vData
End Property


Public Property Get BoundRow() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BoundRow
    BoundRow = mvarBoundRow
End Property



Public Property Let DropDownAutoHeight(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DropDownAutoHeight = 5
    mvarDropDownAutoHeight = vData
End Property


Public Property Get DropDownAutoHeight() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DropDownAutoHeight
    DropDownAutoHeight = mvarDropDownAutoHeight
End Property



Public Property Let RowCount(ByVal vData As Long)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.RowCount = 5
    mvarRowCount = vData
    
    F1Object.MaxRow = vData
End Property


Public Property Get RowCount() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.RowCount
    RowCount = mvarRowCount
End Property



Public Property Let BoundColumn(ByVal vData As Long)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.BoundColumn = 5
    mvarBoundColumn = vData
End Property


Public Property Get BoundColumn() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BoundColumn
    BoundColumn = mvarBoundColumn
End Property



Public Sub ItemSelected(ByVal nRow As Long, ByVal nCol As Long)
    If BoundRow = 0 And BoundColumn = 0 Then
        TxtObject.Text = F1Object.TextRC(nRow, nCol)
    ElseIf BoundRow = 0 Then
        TxtObject.Text = F1Object.TextRC(nRow, BoundColumn)
    Else
        TxtObject.Text = F1Object.TextRC(BoundRow, BoundColumn)
    End If
    TxtObject.SetFocus
End Sub

Public Property Let RowMode(ByVal vData As Variant)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.RowMode = 5
    mvarRowMode = vData
    
    F1Object.RowMode = vData
    
End Property


Public Property Set RowMode(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.RowMode = Form1
    Set mvarRowMode = vData
End Property


Public Property Get RowMode() As Variant
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.RowMode
    If IsObject(mvarRowMode) Then
        Set RowMode = mvarRowMode
    Else
        RowMode = mvarRowMode
    End If
End Property



Public Property Let ColumnCount(ByVal vData As Long)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.ColumnCount = 5
    mvarColumnCount = vData
    
    F1Object.MaxCol = vData
    
End Property


Public Property Get ColumnCount() As Long
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.ColumnCount
    ColumnCount = mvarColumnCount
End Property



Public Property Let DropDownAutoWidth(ByVal vData As Boolean)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DropDownAutoWidth = 5
    mvarDropDownAutoWidth = vData
End Property


Public Property Get DropDownAutoWidth() As Boolean
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DropDownAutoWidth
    DropDownAutoWidth = mvarDropDownAutoWidth
End Property



Public Sub DropDown()

    Dim px As Long
    Dim py As Long
    Dim pcx As Long
    Dim pcy As Long
    Dim pshown As Integer
    
    If F1Object.Height > 30 Then
        F1Object.Height = 0
        F1Object.Visible = False
        TxtObject.SetFocus
    Else
        If DropDownAutoHeight Then
            F1Object.RangeToTwips 1, 1, RowCount, ColumnCount, px, py, pcx, pcy, pshown
            F1Object.Height = pcy + F1Object.HdrHeight
            F1Object.ShowHScrollBar = F1Off
        Else
            F1Object.Height = DropDownHeight
            F1Object.ShowHScrollVar = F1On
        End If
        F1Object.Visible = True
        F1Object.SetFocus
    End If
    
    If DropDownAutoWidth Then
        F1Object.RangeToTwips 1, 1, RowCount, ColumnCount, px, py, pcx, pcy, pshown
        DropDownWidth = pcx
        F1Object.ShowVScrollBar = F1Off
    Else
        DropDownWidth = TxtObject.Width + 240
        F1Object.ShowVScrollBar = F1On
    End If

End Sub


Public Property Let DropDownHeight(ByVal vData As Single)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DropDownHeight = 5
    mvarDropDownHeight = vData
        
End Property


Public Property Get DropDownHeight() As Single
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DropDownHeight
    DropDownHeight = mvarDropDownHeight
End Property



Public Property Let DropDownWidth(ByVal vData As Single)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.DropDownWidth = 5
    mvarDropDownWidth = vData
    
    F1Object.Width = vData
    
End Property


Public Property Get DropDownWidth() As Single
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.DropDownWidth
    DropDownWidth = mvarDropDownWidth
End Property



Public Property Let Height(ByVal vData As Single)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Height = 5
    mvarHeight = vData
    
    TxtObject.Height = vData
    BtnObject.Height = vData - 60
End Property


Public Property Get Height() As Single
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Height
    Heigth = mvarHeight
    
End Property



Public Property Let Width(ByVal vData As Single)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Width = 5
    mvarWidth = vData
    
    TxtObject.Width = vData
    BtnObject.Left = TxtObject.Left + TxtObject.Width - 240 - 30
    
End Property


Public Property Get Width() As Single
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Width
    Width = mvarWidth
    

End Property



Public Property Let Left(ByVal vData As Single)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Left = 5
    mvarLeft = vData
    
    TxtObject.Left = vData
    BtnObject.Left = TxtObject.Left + TxtObject.Width - 240
    F1Object.Left = vData

End Property


Public Property Get Left() As Single
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Left
    Left = mvarLeft
End Property



Public Property Let Top(ByVal vData As Single)
'used when assigning a value to the property, on the left side of an assignment.
'Syntax: X.Top = 5
    mvarTop = vData
    
    TxtObject.Top = vData
    BtnObject.Top = vData + 30
    F1Object.Top = TxtObject.Top + TxtObject.Height

End Property


Public Property Get Top() As Single
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.Top
    Top = mvarTop
End Property



Public Sub Create(ByVal F1 As Object, ByVal Txt As Object, ByVal Btn As Object)
    Set F1Object = F1
    Set TxtObject = Txt
    Set BtnObject = Btn
    
    F1Object.Height = 0
    F1Object.Width = 0
    F1Object.Visible = False
    
    TxtObject.Visible = True
    BtnObject.Visible = True
        
End Sub

Public Property Set BtnObject(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.BtnObject = Form1
    Set mvarBtnObject = vData
End Property


Public Property Get BtnObject() As Object
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.BtnObject
    Set BtnObject = mvarBtnObject
End Property



Public Property Set TxtObject(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.TxtObject = Form1
    Set mvarTxtObject = vData
End Property


Public Property Get TxtObject() As Object
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.TxtObject
    Set TxtObject = mvarTxtObject
End Property



Public Property Set F1Object(ByVal vData As Object)
'used when assigning an Object to the property, on the left side of a Set statement.
'Syntax: Set x.F1Object = Form1
    Set mvarF1Object = vData
End Property


Public Property Get F1Object() As Object
'used when retrieving value of a property, on the right side of an assignment.
'Syntax: Debug.Print X.F1Object
    Set F1Object = mvarF1Object
End Property





