VERSION 5.00
Object = "{2C724BE0-A87B-11D1-8027-00A0C903B2B1}#6.0#0"; "TTFI6.ocx"
Begin VB.Form Form1 
   Appearance      =   0  'Flat
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "First Impression Rotation Demo"
   ClientHeight    =   5820
   ClientLeft      =   1185
   ClientTop       =   1575
   ClientWidth     =   8265
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "ROTATE.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   5820
   ScaleWidth      =   8265
   Begin VB.Frame Frame2 
      Caption         =   " Options "
      Height          =   1215
      Left            =   5580
      TabIndex        =   3
      Top             =   3900
      Width           =   2535
      Begin VB.TextBox txtRotationDelta 
         Height          =   285
         Left            =   300
         TabIndex        =   6
         Text            =   "2"
         Top             =   360
         Width           =   375
      End
      Begin VB.CheckBox chkChangeElevation 
         Caption         =   "Change Elevation"
         Height          =   255
         Left            =   480
         TabIndex        =   4
         Top             =   780
         Value           =   1  'Checked
         Width           =   1875
      End
      Begin VB.Label Label4 
         Caption         =   "Rotation Delta"
         Height          =   195
         Left            =   780
         TabIndex        =   5
         Top             =   420
         Width           =   1335
      End
   End
   Begin VB.CommandButton cmdStart 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      Caption         =   "Start Rotation"
      Height          =   375
      Left            =   5640
      TabIndex        =   0
      Top             =   5280
      Width           =   2415
   End
   Begin VtChartLib6.VtChart VtChart1 
      Height          =   5415
      Left            =   0
      TabIndex        =   7
      Top             =   120
      Width           =   5295
      _ExtentX        =   9340
      _ExtentY        =   9551
      _0              =   $"ROTATE.frx":030A
      _1              =   $"ROTATE.frx":070F
      _2              =   $"ROTATE.frx":0B14
      _3              =   $"ROTATE.frx":0F19
      _4              =   $"ROTATE.frx":131E
      _5              =   $"ROTATE.frx":1723
      _6              =   $"ROTATE.frx":1B28
      _7              =   $"ROTATE.frx":1F2E
      _8              =   $"ROTATE.frx":2333
      _9              =   $"ROTATE.frx":2738
      _10             =   $"ROTATE.frx":2B3D
      _11             =   $"ROTATE.frx":2F42
      _12             =   $"ROTATE.frx":3347
      _13             =   $"ROTATE.frx":374C
      _14             =   $"ROTATE.frx":3B52
      _count          =   15
      _ver            =   1
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      Caption         =   "Press Escape to stop."
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000C0&
      Height          =   255
      Left            =   5580
      TabIndex        =   2
      Top             =   2820
      Visible         =   0   'False
      Width           =   2535
   End
   Begin VB.Label Label2 
      Alignment       =   2  'Center
      Caption         =   "First Impression Real-Time Rotation"
      BeginProperty Font 
         Name            =   "Times New Roman"
         Size            =   24
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2235
      Left            =   5520
      TabIndex        =   1
      Top             =   120
      Width           =   2655
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim StillGoing%

Private Sub chkChangeElevation_Click()

   cmdStart.SetFocus
   
End Sub

Private Sub cmdStart_KeyDown(KeyCode As Integer, Shift As Integer)

    If KeyCode = 27 Then
        StillGoing = False
    Else
        KeyCode = 0
    End If

End Sub

Private Sub cmdStart_Click()

   Dim elevation!, rotation!, rot!, rotationDegrees!
   Dim theView As Object
   
   ' Put chart in Blit mode
   VtChart1.DrawMode = VtChDrawModeBlit
   
   ' Store a pointer to the view to minimize
   ' traversing the object hierarchy
   
   ' Get the rotation amount
   rotationDegrees = Val(txtRotationDelta.Text)
   If rotationDegrees < 1 Or rotationDegrees > 90 Then
       MsgBox "Rotation must be between 1 and 90 degrees."
       Exit Sub
   End If
   
   ' Keep going as long as this flag is True
   StillGoing = True
   Label3.Visible = True
   cmdStart.SetFocus
   
   ' Rotate the chart
   rotation = 0
   Do While StillGoing
       If chkChangeElevation = 1 Then
           rot = rotation Mod 180
           elevation = IIf(rot <= 90, rot, 90 - (rot - 90))
       Else
           elevation = 30
       End If
       
       VtChart1.Plot.View3d.Set rotation, elevation
       
       DoEvents ' Allow for the Escape key to get through
       
       ' Rotate through 360 degrees
       rotation = rotation + rotationDegrees
       If rotation >= 360 Then rotation = 0
   Loop
   
   Form1.Label3.Visible = False

End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
    
    Dim RDegrees As Integer
    
    If KeyAscii = 13 Then
        RDegrees = Val(txtRotationDelta.Text)
        If RDegrees < 1 Or RDegrees > 90 Then
            MsgBox "Rotation must be between 1 and 90 degrees."
        End If
        KeyAscii = 0
    End If

End Sub

Private Sub Form_QueryUnload(Cancel As Integer, UnloadMode As Integer)
End
End Sub

Private Sub txtRotationDelta_KeyDown(KeyCode As Integer, Shift As Integer)

   If StillGoing Then
      cmdStart.SetFocus
   End If
   
End Sub
