VERSION 5.00
Object = "{B0475000-7740-11D1-BDC3-0020AF9F8E6E}#6.0#0"; "TTF16.OCX"
Begin VB.Form frmPerson 
   Caption         =   "Modify Player Information"
   ClientHeight    =   5295
   ClientLeft      =   3465
   ClientTop       =   2940
   ClientWidth     =   7575
   LinkTopic       =   "Form1"
   ScaleHeight     =   5295
   ScaleWidth      =   7575
   Begin TTF160Ctl.F1Book f1Modify 
      Height          =   5055
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   7335
      _ExtentX        =   12938
      _ExtentY        =   8916
      _0              =   $"frmGolfPerson.frx":0000
      _1              =   $"frmGolfPerson.frx":040A
      _2              =   $"frmGolfPerson.frx":0813
      _3              =   $"frmGolfPerson.frx":0C1C
      _4              =   $"frmGolfPerson.frx":1025
      _count          =   5
      _ver            =   2
   End
   Begin VB.Menu mnuPlayer 
      Caption         =   "&Player"
      Begin VB.Menu mnuPlayerAdd 
         Caption         =   "&Add"
      End
      Begin VB.Menu mnuPlayerDelete 
         Caption         =   "&Delete"
      End
      Begin VB.Menu mnuPlayerSort 
         Caption         =   "&Sort..."
      End
   End
   Begin VB.Menu mnuExit 
      Caption         =   "E&xit"
   End
End
Attribute VB_Name = "frmPerson"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'' these two variables are used to
'' determine if we need to do an update
'' or an insert
Dim CurrentRow As Integer
Dim NewRecord As Boolean
Public Sub UpdateRecord()
    Dim pRetCode As Integer
    
    If NewRecord Then
        'Current Internet Explorer "friendly" functions which can be used in place of the methods in previous versions.
        pRetCode = f1Modify.ODBCPrepareEx("INSERT INTO Persons VALUES (?, ?, ?, ?, ?, ?)")
        pRetCode = f1Modify.ODBCBindParameterEx(1, 1, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(2, 2, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(3, 3, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(4, 4, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(5, 5, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(6, 6, F1CDataLong)
        pRetCode = f1Modify.ODBCExecuteEx(f1Modify.MaxRow, f1Modify.MaxRow)
        
        'Previous methods of working w/ Formula One and ODBC
'        f1Modify.ODBCPrepare "INSERT INTO Persons  VALUES (?, ?, ?, ?, ?, ?)", pRetCode
'        f1Modify.ODBCBindParameter 1, 1, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 2, 2, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 3, 3, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 4, 4, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 5, 5, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 6, 6, F1CDataLong, pRetCode
'        f1Modify.ODBCExecute f1Modify.MaxRow, f1Modify.MaxRow, pRetCode
    Else
        'Current IE Friendly methods
        'F1Book1.ODBCPrepare "UPDATE Memberships SET FirstName=?, LastName=?, Sex=?, Ancestry=?, MemberStatus=?, DuesPaidDate=? WHERE ID=?", pRetCode
        pRetCode = f1Modify.ODBCPrepareEx("UPDATE Persons SET FirstName=?, LastName=?, HomePhone=?, WorkPhone=?, Handicap=? WHERE ID=?")
        pRetCode = f1Modify.ODBCBindParameterEx(1, 2, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(2, 3, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(3, 4, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(4, 5, F1CDataChar)
        pRetCode = f1Modify.ODBCBindParameterEx(5, 6, F1CDataLong)
        pRetCode = f1Modify.ODBCBindParameterEx(6, 1, F1CDataChar)
        pRetCode = f1Modify.ODBCExecuteEx(CurrentRow, CurrentRow)
        
        'Legacy Methods will still work in version 5 of Formula One
'        f1Modify.ODBCPrepare "UPDATE Persons SET FirstName=?, LastName=?, HomePhone=?, WorkPhone=?, Handicap=? WHERE ID=?", pRetCode
'        f1Modify.ODBCBindParameter 1, 2, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 2, 3, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 3, 4, F1CDataChar, pRetCode
'        f1Modify.ODBCBindParameter 4, 5, F1CDataLong, pRetCode
'        f1Modify.ODBCBindParameter 5, 6, F1CDataLong, pRetCode
'        f1Modify.ODBCBindParameter 6, 7, F1CDataDate, pRetCode
'        f1Modify.ODBCBindParameter 7, 1, F1CDataLong, pRetCode
'        f1Modify.ODBCExecute CurrentRow, CurrentRow, pRetCode
        
    End If
    
End Sub

Private Sub f1Modify_KeyDown(KeyCode As Integer, Shift As Integer)
    
    '' In this event we are going to handle the Delete ourselves.
    '' In the FormActivate event we have set AllowDelete to false, so the
    '' default behavior for the Delete Key is overridden.  First we will
    '' test for the Delete Key, and if we find it, we will make sure that
    '' the end user really intends to delete this record.
    If KeyCode = 46 Then
        Response = MsgBox("Delete Current Record, ID " & f1Modify.TextRC(f1Modify.Row, 1) & "?", vbYesNo, "Formula One")
        If Response = vbYes Then
            'Call subroutine to do the delete of the record.
            Call GolfDelete(Me.f1Modify)
        End If
    End If
    
End Sub

Private Sub f1Modify_ODBCExecuteError(ByVal nRow As Long, ByVal nCol As Long, pAction As Integer)
'    pAction = F1ODBCErrorAbort
End Sub

Private Sub f1Modify_SelChange()
    Dim Unchanged As Boolean
    
    ''since the SelChange event fires even
    ''when moving to a new cell in the same
    ''row, we will test so that we only
    ''do an update when we move to a new row
    Unchanged = False
    If f1Modify.Modified Then
        If CurrentRow <> f1Modify.Row Then
            UpdateRecord
        Else
            Unchanged = True
        End If
    End If
    
    f1Modify.Modified = False
    If NewRecord And Unchanged Then
        ' we do nothing
    Else
        NewRecord = False
    End If
    CurrentRow = f1Modify.Row

End Sub

Private Sub Form_Load()
    
    Dim pQuery As New F1ODBCQuery
    Dim i%
    
    'Override the default behavior of the 'Delete' Key
    f1Modify.AllowDelete = False
        
    'Make ODBCConnection
    Call GolfConnect(Me.f1Modify)
    
    'Select all of the Fields for viewing
    With pQuery
        .QueryStr = "SELECT * FROM Persons"
        .retcode = i
        .SetColFormats = True
        .SetColNames = True
        .SetColWidths = True
        .SetMaxRC = True
    End With
    f1Modify.ODBCQueryEx pQuery, 1, 1, False
    Sleep (250)
    
    '' We set the Modified property to False so that we can trap
    '' when we need to save changes to our database
    f1Modify.Modified = False
    NewRecord = False
    CurrentRow = f1Modify.Row
    
End Sub

Private Sub Form_Unload(Cancel As Integer)
      
    'Clean up ODBC Connection
    f1Modify.ODBCDisconnect
    
End Sub

Private Sub mnuExit_Click()
    
    Unload frmPerson

End Sub

Private Sub mnuPlayerAdd_Click()

    With f1Modify
        .MaxRow = .MaxRow + 1
        .Modified = False
        .Row = .MaxRow
        .Col = 1
        .ShowActiveCell
        .SetFocus
    End With
    NewRecord = True
    
End Sub

Private Sub mnuPlayerDelete_Click()

    Response = MsgBox("Permanently Delete Current Record, ID " & f1Modify.TextRC(f1Modify.Row, 1) & "?", vbYesNo + vbQuestion, "Remove Player")
    If Response = vbYes Then
        'Call subroutine to do the delete of the record.
        Call GolfDelete(Me.f1Modify)
    End If

End Sub

Private Sub mnuPlayerSort_Click()

    f1Modify.DoSelChange = False
    f1Modify.SetSelection 1, 1, f1Modify.LastRow, f1Modify.LastCol
    f1Modify.SortDlg
    f1Modify.Modified = False
    f1Modify.DoSelChange = True
    
End Sub
