Attribute VB_Name = "Module1"
  
Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

Public Sub GolfConnect(f1 As F1Book)
        
    Dim pConnectObj As New F1ODBCConnect, pQuery As New F1ODBCQuery
    Dim sDSN$, sDBQ$, sDefaultDir$, sDriverID$, sFile$, sBuffer$, sTimeOut$
    Dim i%
     
    '
    sDSN = "DSN=MS Access 97 Database;"
    sDBQ = "DBQ=" & App.Path & "\golf.mdb;"
    sDefaultDir = App.Path & ";"
    sDriverID = "DriverID=25;"
    sFile = "FIL=MS Access;"
    sBuffer = "MaxBufferSize=512;"
    sTimeOut = "PageTimeout=5;"

    'DSN=MS Access 97 Database;DBQ=D:\VCI\vcform1_5\Golf\golf.mdb;DefaultDir=D:\VCI\vcform1_5\Golf;
    'DriverId=25;FIL=MS Access;MaxBufferSize=512;PageTimeout=5;
    With pConnectObj
        .ConnectStr = sDSN & sDBQ & sDefaultDir & sDriverID & sFile & sBuffer & sTimeOut
        .retcode = i
    End With
    
    f1.ODBCConnectEx pConnectObj, True
    
End Sub

Public Sub GolfDelete(f1 As F1Book)
    Dim Response%, pRetCode%, thisRow%
    Dim ODBCDelete$
   
    'Get current row
    thisRow = f1.Row
        
    Call ScoresCleanUp(f1.TextRC(thisRow, 1))
    
    '' we call ODBCPrepare with the proper DELETE FROM syntax with the
    '' information for the current row.  Then we will execute this
    '' SQLStatement
    
    ODBCDelete = "DELETE FROM Persons WHERE ID = " & Str(f1.NumberRC(thisRow, 1))
    'f1.ODBCPrepare ODBCDelete, pRetCode
    'f1.ODBCExecute thisRow, thisRow, pRetCode
    pRetCode = f1.ODBCPrepareEx(ODBCDelete)
    pRetCode = f1.ODBCExecuteEx(thisRow, thisRow)
    
    '' Now we delete the row from the Spreadsheet
    f1.EditDelete F1ShiftRows
    '' if we don't set Modified to False, the next time we
    '' change the selection, the changes to the row will be
    '' 'saved' to the database
    f1.Modified = False
    '' now we adjust the MaxRow to compensate for the
    '' deleted row
    f1.MaxRow = f1.MaxRow - 1
    '' if this was the last record, we will want to move the
    '' selection to the new last record
    If f1.MaxRow + 1 = thisRow Then
       f1.Row = thisRow - 1
    End If
    
End Sub

Public Sub ScoresCleanUp(ID As String)

    Dim f1Clean As F1Book
    Dim pQuery As New F1ODBCQuery
    Dim i%
    Dim ODBCDelete$
              
    Set f1Clean = frmGolfMain.F1B
    
    f1Clean.InitTable
    'Make ODBCConnection
    Call GolfConnect(f1Clean)
    
    'Select all of the Fields and Records to be deleted.
    With pQuery
        .QueryStr = "SELECT * FROM Scores WHERE Scores.ID = " & ID
        .retcode = i
        .SetColFormats = False
        .SetColNames = False
        .SetColWidths = False
        .SetMaxRC = False
    End With
    f1Modify.ODBCQueryEx pQuery, 1, 1, False
    
    ODBCDelete = "DELETE FROM Scores WHERE ID = " & ID

    pRetCode = f1.ODBCPrepareEx(ODBCDelete)
    pRetCode = f1.ODBCExecuteEx(1, f1Clean.LastRow)
    
    'Initialize the workbook so it will be clean
    f1Clean.InitTable

End Sub

Public Sub GolfConnectView(f1 As F1BookView)
    'This subroutine will not currently work as the ODBC methods _
     will not work inside a F1BookView object.
'    Dim pConnectObj As New F1ODBCConnect, pQuery As New F1ODBCQuery
'    Dim sDSN$, sDBQ$, sDefaultDir$, sDriverID$, sFile$, sBuffer$, sTimeOut$
'    Dim i%
'
'    sDSN = "DSN=MS Access 97 Database;"
'    sDBQ = "DBQ=" & App.Path & "\golf.mdb;"
'    sDefaultDir = App.Path & ";"
'    sDriverID = "DriverID=25;"
'    sFile = "FIL=MS Access;"
'    sBuffer = "MaxBufferSize=512;"
'    sTimeOut = "PageTimeout=5;"
'
'    With pConnectObj
'        .ConnectStr = sDSN & sDBQ & sDefaultDir & sDriverID & sFile & sBuffer & sTimeOut
'        .retcode = i
'    End With
'
'    f1.ODBCConnectEx pConnectObj, True
    
End Sub
